---
title: '::-webkit-search-cancel-button'
slug: 'Web/CSS/::-webkit-search-cancel-button'
tags:
  - CSS
  - NeedsExample
  - Non-standard
  - Pseudo-element
  - Reference
  - Selector
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>The <strong><code>::-webkit-search-cancel-button</code></strong> CSS <a href="/en/CSS/Pseudo-elements">pseudo-element</a> represents a button (the "cancel button") at the edge of an {{HTMLElement("input")}} of <code>type="search"</code> which clears away the current value of the {{HTMLElement("input")}} element. This button and pseudo-element are non-standard, supported only in WebKit and Blink, hence the vendor prefix. The clear button is only shown on non-empty search {{HTMLElement("input")}} elements.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"> <em>selector</em>::-webkit-search-cancel-button</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.-webkit-search-cancel-button")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref('::-ms-clear')}}</li>
 <li>{{cssxref('::-webkit-search-results-button')}}</li>
</ul>
